<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qmth.teachcloud.mark.mapper.ScanBatchPaperMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qmth.teachcloud.mark.entity.ScanBatchPaper">
        <id column="batch_id" property="batchId" />
        <id column="student_id" property="studentId" />
        <id column="paper_index" property="paperIndex" />
        <result column="paper_id" property="paperId" />
        <result column="card_number" property="cardNumber" />
        <result column="assigned" property="assigned" />
    </resultMap>

</mapper>
